com.ibm.openpages.api.solution

## Interface ISolutionTypeDefinition

-     public interface ISolutionTypeDefinition

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getId()` Returns the id of this object.
    `java.lang.String` | `getModifiedBy()` Returns the user name who last modified the process definition
    `java.util.Date` | `getModifiedDate()` Returns the last modified date
    `Id` | `getSolutionId()` Returns the Id of the Solution.
    `Id` | `getSolutionVersionId()` Returns the Id of the Solution Version.
    `java.lang.String` | `getTypeDefinitionName()` Returns the name of the type definition associated to the Solution.
    `boolean` | `isEnabled()` Returns whether this association is enabled.
    `boolean` | `isSuppliedByVendor()` Returns whether this association was supplied by IBM.
    `boolean` | `isTypeDefinitionExists()` Returns whether the TypeDefinition is installed on the server.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the id of this object.
      Returns:

    - #### getSolutionId

          Id getSolutionId()

      Returns the Id of the Solution.
      Returns:

    - #### getSolutionVersionId

          Id getSolutionVersionId()

      Returns the Id of the Solution Version.
      Returns:

    - #### getTypeDefinitionName

          java.lang.String getTypeDefinitionName()

      Returns the name of the type definition associated to the Solution.
      Returns:

    - #### isTypeDefinitionExists

          boolean isTypeDefinitionExists()

      Returns whether the TypeDefinition is installed on the server.
      Returns:

    - #### isEnabled

          boolean isEnabled()

      Returns whether this association is enabled. Associations between a Solution and a TypeDefinition that are supplied by IBM can be disabled but not deleted.
      Returns:

    - #### isSuppliedByVendor

          boolean isSuppliedByVendor()

      Returns whether this association was supplied by IBM.
      Returns:

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date
      Returns:

    - #### getModifiedBy

          java.lang.String getModifiedBy()

      Returns the user name who last modified the process definition
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.